#!/usr/local/bin/perl

#*------------------------------------------------*
#* COPYRIGHT (C) 1996                             *
#*         Northeast Parallel Architectures Center*
#*         Syracuse University                    *
#*------------------------------------------------*

#$Id: set-env.pl,v 1.1 1996/08/21 04:43:39 dincer Exp dincer $
#$Log: set-env.pl,v $
#Revision 1.1  1996/08/21 04:43:39  dincer
#Initial revision
#
   
require 'html-util.pl';

#>-----------------------------------------------------------------<
#> Function    : Defines all constants. Hopefully this will be the 
#>   only file that needs to be modified, when the whole system is
#>   moved to a different location or when the HTTP address is changed.
#> In Arguments: none.
#> Side Effect : on defined constants. 
#>-----------------------------------------------------------------<
sub Define_Constants {
   $wd = `pwd`;
   chop($wd);
   $BinDir   = $wd."/";
   $FEBinDir = $BinDir."EXECS/";
   $DocDir   = $BinDir."../../htdocs/VPL-html/";
   
   $LibDir   = "$BinDir"."LIBS/"; 
   $ExecDir  = "$BinDir"."EXECS/";
   $DemoDir  = "$BinDir"."DemoDir/";

   
   $username = $ENV{'REMOTE_USER'}; 
   #print "UserName = $username <BR> ";
   #&htmlDie("Security Flaw !! Username is not set ") if (!$username);

   #if (! $username) { $username = "no-user-name"; }
   #if (! @ARGV[0] ) { $username = "guest"; }
   if (! $username) { $username = "guest"; }
   $targetFile = "example";

   $EditFile = $DemoDir . ".vl_edit"; 
   $TempFile = $DemoDir . ".vl_temp";

   #add path of EXEC dir  and hpf front end
   $ENV{"PATH"} = $FEBinDir.":$ENV{'PATH'}";
   $ENV{"PATH"} = $ExecDir.":$ENV{'PATH'}";
   $ENV{"EXECS"} = $ExecDir;
   $ENV{"LIBS"} = $LibDir;
   $ENV{"USERDIR"} = $DemoDir;
   
## not exist ise create etmek lazim
}
1;

