#!/usr/local/bin/perl
#hpfprogram portnum -pghpf -np nprocs -host ...
# command line args :hpfprogram,hpfserver_portnum,sage_host,sage_portnum,
# scivis_host, scivis_port, and nprocs

print "Content-type : text/plain","\n\n";
print "We create child","\n";
require "set-env.pl";
&Define_Constants();

$ENV{"LD_LIBRARY_PATH"} = $LibDir.":$ENV{'LD_LIBRARY_PATH'}";
$ENV{"LD_LIBRARY_PATH"} = $DemoDir.":$ENV{'LD_LIBRARY_PATH'}:";

$ENV{"PGI"} = "/opt/PGI2.2";
chdir($DemoDir);

$libEnvs = "LIBS=$LibDir "." USERDIR=$DemoDir"; 

$progname       = $DemoDir.$ARGV[0];
$hpfserver_port = $ARGV[1];
$sage_host      = $ARGV[2];
$sage_port      = $ARGV[3];
$scivis_host    = $ARGV[4];
$scivis_port    = $ARGV[5];
$nprocs         = $ARGV[6];
$sage_dir=substr($DemoDir,0,rindex($DemoDir,"/"));
print "PERL:progname = $progname ,hpfserver_port=$hpfserver_port \n";
print "PERL:sage_host = $sage_host,sage_port=$sage_port \n";
print "PERL:scivis_host = $scivis_host,scivis_port=$scivis_port \n";
print "PERL:nprocs = $nprocs sageDir=$sage_dir\n";  

######################################################
# Do not forget to set the following environment variable. If you did not,
# pghpf compiler gives syntax errror for even right HPF programs
######################################################
$ENV{"PGI"} = "/opt/PGI2.2";
$ENV{"JSERHOST"} = $scivis_host;
$ENV{"JSERPORT"} = $scivis_port;

@hosts=("osprey3","osprey4","osprey6","osprey7","osprey8");
$command = $progname."  ".$hpfserver_port."  ";
$command .= $sage_host."  ".$sage_port." $libEnvs "."  -pghpf -np ";
$command .=  $nprocs."  -host ";
for($i=0;$i < $nprocs;$i++){
 $command .= $hosts[$i];
  if ($i < $nprocs-1){
    $command .= ",";
  }  
}
print "PERL:$command \n";
if ($pid = fork){
    $sageCommand = "rsh  $sage_host  $ExecDir"."SageServer ".$sage_port." ".$sage_dir;
    print "sagecmnd = $sageCommand pid=$pid\n";
    system($sageCommand);  
    print "We forked Sage Server \n";
  }
  else{
    $retval = system("$command");
    print "exit child \n";
    exit(0);
  }





